Bug 262125 - DNG Conversion can't be inverted. Embedded file is corrupted.
Summary: DNG Conversion can't be inverted. Embedded file is corrupted.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Bqm-DngConverter (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-04 22:44 UTC by peter.gustafson
Modified: 2016-07-15 12:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter.gustafson 2011-01-04 22:44:34 UTC
Version:           1.7.0 (using KDE 4.5.4) 
OS:                Linux

There is no apparent digikam based method to extract the embedded raw file.  

Attempted extraction with Adobe's dng converter tool fails with message "No
embedded originals were extracted".  


Reproducible: Always

Steps to Reproduce:
All my cr2 files.  Convert to dng, embed, attempt to extract.  
Reproduced by rpgmaster94 on users mailing list with arw files.
Comment 1 Jens Mueller 2011-01-06 22:50:30 UTC
I looked through the code and found that kipi dngconverter implemented a different compression scheme than that described in adobe documentation. Nevertheless there is also a bug in this implementation, so are all embeded originals are lost. Meanwhile I have a test implemetation based on zlib working with the adobe compression scheme. There is also Qts smarter qCompress, but this gets a different result at the moment.
Comment 2 Jens Mueller 2011-01-07 19:21:56 UTC
SVN commit 1212625 by jmueller:

implement adobe compression scheme. Please test carefully before removing originals. I will try to build a simple commandline extractor too.

BUGS: 262125

 M  +58 -24    dngwriter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1212625
Comment 3 Jens Mueller 2011-01-09 15:17:25 UTC
SVN commit 1213193 by jmueller:

add first version of simple dng tool, able to extract embedded original raws

CCBUGS: 262125

 M  +1 -0      CMakeLists.txt  
 A             dnginfo (directory)  
 A             dnginfo/CMakeLists.txt  
 A             dnginfo/dnginfo.cpp   [License: GPL (v2+)]


WebSVN link: http://websvn.kde.org/?view=rev&revision=1213193